#!/bin/sh
mkdir assets
pip install --upgrade pip
pip install wheel pytest pytest-cov
pip install -r requirements.txt
pip install -r requirements_dev.txt
pip install -r app/requirements.txt
export PYTEST_DIR="app/tests/unit"
export PYTEST_COV="app"
export PYTHONPATH=app
pytest --junit-xml=unit_tests_report.xml $PYTEST_OPTIONS --cov="$PYTEST_COV" --cov-report=xml:coverage.xml --cov-report=term "$PYTEST_DIR"
