# opa_helper.py


class OpaResponse:
    ok: bool
    status_code: int
    json: dict
    message: str

    def __init__(
        self,
        ok=False,
        status_code=500,
        json=None,
        message="An ERROR Occurred",
        text="N/A",
    ):
        if json is None:
            json = {}
        self.ok = ok
        self.status_code = status_code
        self.json = json
        self.message = message
        self.text = text  # used only in compile / translate
